const uuid = require('uuid');

const extractor = require('./src/extractor');
const transformer = require('./src/html-transformer');

module.exports = function extract(pathToFile) {
  const jobId = uuid.v4();

  extractor.extract(jobId, pathToFile);
  transformer.transform(jobId);

  return jobId;
};
